Bug 566299 - It (hdapsd daemon) is never activated!
Summary: It (hdapsd daemon) is never activated!
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hdapsd
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tomasz Torcz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-17 20:35 UTC by Hedayat Vatankhah
Modified: 2010-02-27 03:28 UTC (History)
1 user (show)

Fixed In Version: hdapsd-20090401-5.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-27 03:28:45 UTC


Attachments (Terms of Use)
patch for /etc/event.d/hdapsd (460 bytes, patch)
2010-02-17 20:35 UTC, Hedayat Vatankhah
no flags Details | Diff
udev rule patch (422 bytes, patch)
2010-02-17 20:37 UTC, Hedayat Vatankhah
no flags Details | Diff

Description Hedayat Vatankhah 2010-02-17 20:35:30 UTC
Created attachment 394813 [details]
patch for /etc/event.d/hdapsd

Description of problem:
When installed, it is expected to run the hdapsd daemon for appropriate devices. But it never does it!


Version-Release number of selected component (if applicable):
hdapsd-20090401-4.fc12.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Install hdapsd package on a system supporting this feature
2. reboot the system 
3. check the system processes to see if hdapsd is running or check /var/log/messages to see if it was run at all
  
Actual results:
hdapsd daemon is not running, and has not been even called.


Expected results:
hdapsd should be either running or at least should generate some error messages in the system log


Additional info:
These files are buggy: /etc/event.d/hdapsd and /etc/udev/rules.d/99-hdapsd.rules

I were able to fix the problem using the attached patches.

Comment 1 Hedayat Vatankhah 2010-02-17 20:37:22 UTC
Created attachment 394815 [details]
udev rule patch

Comment 2 Tomasz Torcz 2010-02-17 21:34:12 UTC
Thank you, I will review those patches over the weekend.

Comment 3 Fedora Update System 2010-02-20 17:17:56 UTC
hdapsd-20090401-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/hdapsd-20090401-5.fc12

Comment 4 Fedora Update System 2010-02-20 22:51:12 UTC
hdapsd-20090401-5.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hdapsd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1743

Comment 5 Hedayat Vatankhah 2010-02-24 19:58:47 UTC
Thanks, the new package works fine for me.

Comment 6 Fedora Update System 2010-02-27 03:28:41 UTC
hdapsd-20090401-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.